GNU bug report logs - #47427
26.3; 1. Please define a built-in predicate `plistp', 2. wrong type wrong-type-argument error

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: wishlist; Reported by: Drew Adams <drew.adams@HIDDEN>; Done: Lars Ingebrigtsen <larsi@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug marked as fixed in version 29.1, send any further explanations to 47427 <at> debbugs.gnu.org and Drew Adams <drew.adams@HIDDEN> Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 47427 <at> debbugs.gnu.org:


Received: (at 47427) by debbugs.gnu.org; 27 Jun 2022 10:37:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jun 27 06:37:24 2022
Received: from localhost ([127.0.0.1]:49979 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o5m7Q-0003ZO-ND
	for submit <at> debbugs.gnu.org; Mon, 27 Jun 2022 06:37:24 -0400
Received: from quimby.gnus.org ([95.216.78.240]:36040)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1o5m7O-0003Yv-H7
 for 47427 <at> debbugs.gnu.org; Mon, 27 Jun 2022 06:37:23 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=oHgrNawtddTIsXQI6i9n8cB8dOhya+U1jwhWEsieCsY=; b=sQM/gKyFj8Q4nYCkJMDTXI0Wsm
 lJTYH+b2rZssLlzMj56QCIJu2p5pAyA+Cea7Zl+o3e6XOHvyD7ECWVsZHMfzlhuEla5T6mojO1+uc
 EXkXvkR3Pgwo+R5e4M5mofoXUSriVf5vS66b1A5KNVW23WGtUTnY351L87V4GlOfZb4g=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1o5m7E-0004wR-72; Mon, 27 Jun 2022 12:37:14 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Drew Adams <drew.adams@HIDDEN>
Subject: Re: bug#47427: 26.3; 1. Please define a built-in predicate
 `plistp', 2. wrong type wrong-type-argument error
References: <SA2PR10MB4474CE73E3D5EE0A343DCEAEF3619@HIDDEN>
 <878s67788i.fsf@HIDDEN>
Date: Mon, 27 Jun 2022 12:37:11 +0200
In-Reply-To: <878s67788i.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Sun,
 28 Mar 2021 14:50:21 +0200")
Message-ID: <87tu865r54.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Lars Ingebrigtsen <larsi@HIDDEN> writes: > Adding a
 `plistp'
 predicate > would perhaps make sense, but it would just be > > (and (listp
 list) > (zerop (mod (length list) 2))) > > and then we have the philosophical
 issue of "is nil a plist"? [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 47427
Cc: 47427 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> Adding a `plistp' predicate
> would perhaps make sense, but it would just be
>
> (and (listp list)
>      (zerop (mod (length list) 2)))
>
> and then we have the philosophical issue of "is nil a plist"?  Does
> anybody have any opinions?

I decided that nil satisfies plistp, and I've now pushed a variant of
this to Emacs 29.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#47427; Package emacs. Full text available.

Message received at 47427 <at> debbugs.gnu.org:


Received: (at 47427) by debbugs.gnu.org; 28 Mar 2021 18:36:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Mar 28 14:36:08 2021
Received: from localhost ([127.0.0.1]:47035 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lQaGe-0006By-EP
	for submit <at> debbugs.gnu.org; Sun, 28 Mar 2021 14:36:08 -0400
Received: from userp2130.oracle.com ([156.151.31.86]:58102)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1lQaGc-0006BU-92
 for 47427 <at> debbugs.gnu.org; Sun, 28 Mar 2021 14:36:07 -0400
Received: from pps.filterd (userp2130.oracle.com [127.0.0.1])
 by userp2130.oracle.com (8.16.0.42/8.16.0.42) with SMTP id 12SIRvcn155528;
 Sun, 28 Mar 2021 18:36:00 GMT
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=oracle.com;
 h=from : to : cc :
 subject : date : message-id : references : in-reply-to : content-type :
 content-transfer-encoding : mime-version; s=corp-2020-01-29;
 bh=B5JAws9s3ugXCmgO4Y7e4sY6Wc/aKdGUhW/U30ROSTw=;
 b=U160kMha0dbVDCMUTbvNNnF4UeBqwuXtJJzItwXoyLH3HBxKJsz9OQaBwJ7O1/C3g2Hx
 x48GhXlLt72ZAfUHuQADN8/fYrid7A7Wjx/QVZbNsIRzcfSIxGBcMyISH8VMHtce2ksI
 R5OI2gu0S70RFua8C6gKhL1QueAOu8UryuOSc7wtxYhZBaSZwX/RisdKb+atoiq3OTSn
 1EaPwXb3NOqdKH8YiiN8KbELk3nG/o6yG4IhNYWk7mNT2g4CPS8eyLYjIkBzoNRkSK8k
 rzfkjJ+n0411wKrYOV/bFgWWreKWWJ1YRcNdkaFFZyS6mQDKd/Xs0T6V+dcBA7s/60Fu 4Q== 
Received: from userp3030.oracle.com (userp3030.oracle.com [156.151.31.80])
 by userp2130.oracle.com with ESMTP id 37hv4r1snj-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Sun, 28 Mar 2021 18:36:00 +0000
Received: from pps.filterd (userp3030.oracle.com [127.0.0.1])
 by userp3030.oracle.com (8.16.0.42/8.16.0.42) with SMTP id 12SIPLwk139151;
 Sun, 28 Mar 2021 18:36:00 GMT
Received: from nam11-bn8-obe.outbound.protection.outlook.com
 (mail-bn8nam11lp2171.outbound.protection.outlook.com [104.47.58.171])
 by userp3030.oracle.com with ESMTP id 37jemuwhja-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Sun, 28 Mar 2021 18:35:59 +0000
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=UzmjttaBICt5lsH1cgR4VZC1IxkTGbivRsqXmrXtdumNzWLN23Bwr0UCcDFdo8B9/eKooSOSniUngg8vvBLr9MzoBO5dF1ekNPmO3FuS0bWte1lOj/Uu/gtbjtgmFI8gBzN8ZdXo8hFBkkcLDwrfuCDY0TRWvGh2pI+Zo+vPaUpqnNhnfYIfrQ3x4PEX0zW01X1VXdsK1j1EL+mWXvl/kDf+kYVbW6P8P6OA6cyGiNWby5KeNgs96WbLTZIhUd0vFwulgbqu1BYLbqGiOvR5Jtsqe/EXCvKXHbmGNPXY96a3vWRADvr/X/aKoo3bEM7w5FJiUEK74keKsqeykRBEeg==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=B5JAws9s3ugXCmgO4Y7e4sY6Wc/aKdGUhW/U30ROSTw=;
 b=jCOSQMh62zijlXYkNPkPEPNI+Js1biIx2VuiEDEu7k6udb1g9Olo1Z0uBzs6pTeHnkaXxdiTYRpFRu8iv+ZpqawNUXNCLkmjG0dj8mlP8vO1DZsLjL/A/z8ikVAcuD8HakSNIwT2U0aNaOIZn6FVRLuYy5B3L9nz4UXPeBwFRe6iavK6SdNuWg8C6HCzUdxMrugCendV8rRAaFq4VreY89MSJH86lMfsje+YgSkiT96FFLPJV0vv7vr8K2hlcUF4DPnRUjRGLtiChA3Neko0fIBzaVsKNtREi2zmMrvi6z5KQN4ERUMw+afAuX3+0G5vkMktUSYkENLkEYj6mnCAeQ==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=pass
 smtp.mailfrom=oracle.com; dmarc=pass action=none header.from=oracle.com;
 dkim=pass header.d=oracle.com; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=oracle.onmicrosoft.com; s=selector2-oracle-onmicrosoft-com;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=B5JAws9s3ugXCmgO4Y7e4sY6Wc/aKdGUhW/U30ROSTw=;
 b=j/imqaOu10rWy/y3Yy4nSt5SsJ+HDVa/FsmsLecFMl32cUJ4Qw3Gh29SOLWj8KT8us8jjWqZWIvfR5p8dCfAu29lK5pvhye+5QZLiF3ZEpcRnEKWmq+XnVwV43Rlftv1Wfu3aeNyGw9uSSJWiLjeUEmCRLQKJmAWZKsqxiB7lIc=
Received: from SA2PR10MB4474.namprd10.prod.outlook.com (2603:10b6:806:11b::15)
 by SA2PR10MB4764.namprd10.prod.outlook.com (2603:10b6:806:115::15)
 with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.3977.24; Sun, 28 Mar
 2021 18:35:58 +0000
Received: from SA2PR10MB4474.namprd10.prod.outlook.com
 ([fe80::b8d2:db6d:3e4b:d315]) by SA2PR10MB4474.namprd10.prod.outlook.com
 ([fe80::b8d2:db6d:3e4b:d315%5]) with mapi id 15.20.3977.033; Sun, 28 Mar 2021
 18:35:58 +0000
From: Drew Adams <drew.adams@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: RE: [External] : Re: bug#47427: 26.3; 1. Please define a built-in
 predicate `plistp', 2. wrong type wrong-type-argument error
Thread-Topic: [External] : Re: bug#47427: 26.3; 1. Please define a built-in
 predicate `plistp', 2. wrong type wrong-type-argument error
Thread-Index: AdcijyJHrYJvnW6yT0OQXA4sPsn37QBcPpW/AAAtfiA=
Date: Sun, 28 Mar 2021 18:35:57 +0000
Message-ID: <SA2PR10MB447437C29166F3715166214AF37F9@HIDDEN>
References: <SA2PR10MB4474CE73E3D5EE0A343DCEAEF3619@HIDDEN>
 <878s67788i.fsf@HIDDEN>
 <SA2PR10MB4474BE6B01A099C22F5CD641F37F9@HIDDEN>
 <87eefzp5c0.fsf@HIDDEN>
 <SA2PR10MB4474A484B6207E602EB6BF0CF37F9@HIDDEN>
 <87a6qnp1zp.fsf@HIDDEN>
In-Reply-To: <87a6qnp1zp.fsf@HIDDEN>
Accept-Language: en-US
Content-Language: en-US
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
authentication-results: gnus.org; dkim=none (message not signed)
 header.d=none;gnus.org; dmarc=none action=none header.from=oracle.com;
x-originating-ip: [73.170.83.28]
x-ms-publictraffictype: Email
x-ms-office365-filtering-correlation-id: e0d748fb-d8f5-450f-563c-08d8f2185447
x-ms-traffictypediagnostic: SA2PR10MB4764:
x-microsoft-antispam-prvs: <SA2PR10MB47643A2CFFD85C4F535EF5A1F37F9@HIDDEN>
x-ms-oob-tlc-oobclassifiers: OLM:9508;
x-ms-exchange-senderadcheck: 1
x-microsoft-antispam: BCL:0;
x-microsoft-antispam-message-info: pFG7vAyMlqgjGWz9BuF8mQ3gx9A5jIgOcCTbVesNDvs6fNr2NtWGSMqGTfMAeW9cAPD1d8QopYOcmWpfYrgDgxvRSL6Z6n0QWLqbOlpDWW5ciH1gaJ+314uNrcW4zg4jVWYsKbwzmybMVWCK2HQUwRC2EM2O1kXdQFb/dEB5Fsz3CXMiw0ItwmyQbUT67Rhm+Jmc0mJwVfWKIhy5XXPX4gk3cdXhO12+IjcW5N1HKc1X8/6xW9ybMyhMj1zhZ0ImCbAg5FlyHY/SJWsxxsYfEKE5fnVEn1EUyGTX20r/NBlL3EU6J4S6ClR4xE5CURmumon/q8Afsoy8/iO4atcz0iom0mNqgfmytkDvot5htbLqkRm+b4heNHxikFHsI0tuGdEj8mBrGOXvVUrwYQaNV3jGu1hzuiKUNkqtUmuHuRIb+GeMLLjI/FAXmqqlR4183Fa2jJsH7mI2fHEL/IVS61yLRdyxzt6LKcNCrn6oJwLZV3/ersdd1uomAz7rf6ehulBRgBAzS8AJRUCD62imVXnf9G0rKvgThMzQ1EmsipNkNlG7Jfzic1uiFb6JOLbveiXUkVoKUOaOUTp7qppAIkXTcHp1QaFpZhsRNQvk2YoJHVGNE2e7PlMkHTVSsN+IbIe70qYU9wlsdlERL2HHE9V+PzqT3N3Zu6MakOwEkLA=
x-forefront-antispam-report: CIP:255.255.255.255; CTRY:; LANG:en; SCL:1; SRV:;
 IPV:NLI; SFV:NSPM; H:SA2PR10MB4474.namprd10.prod.outlook.com; PTR:; CAT:NONE;
 SFS:(366004)(39860400002)(376002)(136003)(396003)(346002)(7696005)(4326008)(52536014)(66476007)(6506007)(6916009)(86362001)(316002)(38100700001)(83380400001)(9686003)(33656002)(55016002)(8676002)(478600001)(8936002)(4744005)(44832011)(66556008)(64756008)(66946007)(66446008)(186003)(76116006)(2906002)(71200400001)(26005)(5660300002)(81973001);
 DIR:OUT; SFP:1101; 
x-ms-exchange-antispam-messagedata: =?us-ascii?Q?sKgUXE9C7jAcP+JkVQ+3SsS3UmbVRakcmXCqwtSS0mmEl+vO0FgPlA3m6TES?=
 =?us-ascii?Q?Y2mCGjnEUYJpgryglPoYxzzsPLK9YOM1++QXdmNQee/oVlqMdDKydIun54sI?=
 =?us-ascii?Q?s3lwjZWIwGrxNESNAFRqsNmOcAJyZ9d1xVW63zEWu1IhB/S04AyAbwHztDdj?=
 =?us-ascii?Q?a1npD7CZw7xof8j34NfwVTRsILL/fQZbbW1PoBLH5q6xUB9Kg9PeTteB8B1V?=
 =?us-ascii?Q?Yv16Gn3UPoFcgMEN8YQw0fwzys5fehO1h0U8WejqchvoITOqAxHoEnlGjgbl?=
 =?us-ascii?Q?NbZ2blXDQYq9E2Qg8iGDzSNq7UkX8788tzSIelxmFu/fh8uULgJddjwlIuRY?=
 =?us-ascii?Q?TCgLVf1oeF9OSAHXdHCImYqvy+4XlooiWCAk0azDySfFOQyH0CeGx5bScE+Z?=
 =?us-ascii?Q?Y7he+wBdNa2oz2PeOCTmP/M1N42j1nMDCIDijnwmq8Nbj/21DhLqiteNOgjr?=
 =?us-ascii?Q?srO7aOiGOrFqVOo7Yh0mbDGVybNIHqdeM7wlFfDMLrihF7AE4/kxyxt8XH0b?=
 =?us-ascii?Q?s3+7rgPQyy6ltyO8PkRZYUYSDW1t66xSNzi8f58ntwiD9FWxntZkUJ+98XKl?=
 =?us-ascii?Q?CGGqx3v+4Vnf0FxqbU39syvB8tZg6lb5SlMKT+pjY2C0SM1wnMIDRyx872Cm?=
 =?us-ascii?Q?5j+avZFFqmxWlvHOMfvpxgvNQgK6HBOjYiKj0LmeMYsJYjmghnnvOGY5V4nz?=
 =?us-ascii?Q?ist0ziMejBf/4tJI2NoxP1pkUt/vsQRP8JO8yPqQHzamd9fQO1GVqciZ7Q6i?=
 =?us-ascii?Q?tF5g6ZUndo7T3aDIE44zQvNkiv8mAlpK6aC0MkljsWJ6Zx+acsqPsS4gmmiO?=
 =?us-ascii?Q?yPGMPi7L2Ahttfm1hAbme0ePtiUibiMuRIJ4S37sxT8RTmNnZ0zV1df1BvEg?=
 =?us-ascii?Q?xh0YIHBekzLxbrtb3HJZeAFtYbZgOpjcAE5lQNF25PzbZEm3aV32HQe8JX3l?=
 =?us-ascii?Q?Te8nhrW9F9K3D+u/km7hkbHTRQcHultdwY4Z9j6x6b02jOxO/0PVvYvUsope?=
 =?us-ascii?Q?5BWwuOKgC1PWg6bgKk8JByV98MtRmVr/VyQTXfmuAWFZm0UbdUP7Bmr7bVgA?=
 =?us-ascii?Q?bnKQ3KP3IyF41BpJKRj3EeYr1qFsPYI6M3vChiVyGWkZ3M5/SoaHAaJs8TjJ?=
 =?us-ascii?Q?It8+SvseZNvhQeRbWiXDBx41T87pMO3RKwehlel3AMpbu1+q+zm0OKJf+4pp?=
 =?us-ascii?Q?tAnO7RfbDurMM1ZEMVbA4WIqHctOblCaieWfKIaLwUJsAls5WeBW1wuK7Ww2?=
 =?us-ascii?Q?ZSU5wsxDzZMpFbhFin9SylcLFJstzyc79B441Vj5JGcRNwzruRjTT9v7k3Cs?=
 =?us-ascii?Q?roM=3D?=
x-ms-exchange-transport-forked: True
Content-Type: text/plain; charset="us-ascii"
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-OriginatorOrg: oracle.com
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-AuthSource: SA2PR10MB4474.namprd10.prod.outlook.com
X-MS-Exchange-CrossTenant-Network-Message-Id: e0d748fb-d8f5-450f-563c-08d8f2185447
X-MS-Exchange-CrossTenant-originalarrivaltime: 28 Mar 2021 18:35:57.9495 (UTC)
X-MS-Exchange-CrossTenant-fromentityheader: Hosted
X-MS-Exchange-CrossTenant-id: 4e2c6054-71cb-48f1-bd6c-3a9705aca71b
X-MS-Exchange-CrossTenant-mailboxtype: HOSTED
X-MS-Exchange-CrossTenant-userprincipalname: Gfdy9XqAzyq1NQcpspryol7t4RP3z9j1VlqA9+/LTCBPb6RJ176FOvlfvcBI5wWF3mPwDDnIrxuNk6yaE2iAOA==
X-MS-Exchange-Transport-CrossTenantHeadersStamped: SA2PR10MB4764
X-Proofpoint-Virus-Version: vendor=nai engine=6200 definitions=9937
 signatures=668683
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 mlxlogscore=999
 mlxscore=0 spamscore=0
 suspectscore=0 adultscore=0 phishscore=0 bulkscore=0 malwarescore=0
 classifier=spam adjust=0 reason=mlx scancount=1 engine=8.12.0-2103250000
 definitions=main-2103280142
X-Proofpoint-ORIG-GUID: VOgfSPaWrRSoUUw8yLWWaUXBy5DKEVLq
X-Proofpoint-GUID: VOgfSPaWrRSoUUw8yLWWaUXBy5DKEVLq
X-Proofpoint-Virus-Version: vendor=nai engine=6200 definitions=9937
 signatures=668683
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0
 priorityscore=1501 phishscore=0
 adultscore=0 mlxlogscore=999 malwarescore=0 spamscore=0 suspectscore=0
 clxscore=1015 bulkscore=0 lowpriorityscore=0 impostorscore=0 mlxscore=0
 classifier=spam adjust=0 reason=mlx scancount=1 engine=8.12.0-2103250000
 definitions=main-2103280142
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 47427
Cc: "47427 <at> debbugs.gnu.org" <47427 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> > I meant that if we really had an (accurate) error msg
> > saying that the plist wasn't proper then in order to
> > test that for each `plist-put' or whatever we'd have
> > to traverse every plist argument, to see if it really
> > is proper.
> >
> > To test that `(a b c)' isn't a proper plist we'd need
> > to check that the number of elements is even.
>=20
> We are not going to check that, because it wouldn't be
> backwards-compatible.

Good.

If we don't use `plistp' in such cases then it's fine to
add it.  And it's not important to do so.

Then see my previous msg about the real problems.
This bug really shouldn't be about adding a `plistp'
predicate, as I indicated.  It all depends on how you
intend to deal with the real problems.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#47427; Package emacs. Full text available.

Message received at 47427 <at> debbugs.gnu.org:


Received: (at 47427) by debbugs.gnu.org; 28 Mar 2021 18:28:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Mar 28 14:28:09 2021
Received: from localhost ([127.0.0.1]:47029 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lQa8v-0005zz-IU
	for submit <at> debbugs.gnu.org; Sun, 28 Mar 2021 14:28:09 -0400
Received: from quimby.gnus.org ([95.216.78.240]:58250)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1lQa8u-0005zl-61
 for 47427 <at> debbugs.gnu.org; Sun, 28 Mar 2021 14:28:08 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=AZzzXqjOiTQQOYxkE1zgTEz5ob8moq5wRJfWGLqgfHU=; b=UsJReehJA713d4hHy35WtXXMAi
 0W0nPg73vA3psfJ312bBTyYC1qpqny7wcokAQM+uk45ekn3CRimLVYs1VHe9QfvKqL5oRqfX4K6Nq
 K7wCws5ZT3i/YCq7HxmB0i0/yYMXh86nQBjT0s1Wh5cMKl+XDKwWpGYUxGJpL4/I9IB0=;
Received: from cm-84.212.220.105.getinternet.no ([84.212.220.105] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1lQa8h-0005FR-EN; Sun, 28 Mar 2021 20:28:01 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Drew Adams <drew.adams@HIDDEN>
Subject: Re: [External] : Re: bug#47427: 26.3; 1. Please define a built-in
 predicate `plistp', 2. wrong type wrong-type-argument error
References: <SA2PR10MB4474CE73E3D5EE0A343DCEAEF3619@HIDDEN>
 <878s67788i.fsf@HIDDEN>
 <SA2PR10MB4474BE6B01A099C22F5CD641F37F9@HIDDEN>
 <87eefzp5c0.fsf@HIDDEN>
 <SA2PR10MB4474A484B6207E602EB6BF0CF37F9@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAKlBMVEUCAQEtEQwsKSdY
 VVFOEAhlJhKTJBCAfnqMhoCjThfwnh3caBX30Sj///+feb0fAAAAAWJLR0QN9rRh9QAAAAd0SU1F
 B+UDHBIbEHwRHoYAAAFSSURBVDjLvZI/T8JAGMbvbXBwu7ehJm5FvoB/BleanA5OQHokpS4MkICb
 DLo7uEoCJrSOaiJlIdGB4ieo/VDWFsg13A0S47Pcve8vz91zb46Q/xFV9DU5MFXgWD9IV7CY3Tln
 NiuyStrQyyepA5jBO4kSloF+ScusiBYr4I+yo2/vFJlO++stIAUExKy6EQClCKVVdX+teOqRUKC1
 xdwAFIA5NTnwXlty4AZz+Uz3e9GD9G63t3iWAX7lBTMZaPvhmwyAF4XtigTsfcZBdbnXUXRcxotV
 KBNK6+CG8RRPhLT6ktDmRRzNxaOXpNUMo6+Z+HBIi8K7O40XH4ONSLvD5jQaN5zNrM4kDvhjd+Mv
 u2EUDFnXH5TNXB/5yB83mBG+6KIFsFglhZozMsZ2fkr2GaHF5GPzOmCO0CQNErpT4+SXgj8zANEO
 5QTrSBUEFGBrfQOloktYNiMQSAAAABBlWElmSUkqAAgAAAAAAAAAAAAAAJw8uSgAAAAldEVYdGRh
 dGU6Y3JlYXRlADIwMjEtMDMtMjhUMTg6Mjc6MTYrMDA6MDDNCy4UAAAAJXRFWHRkYXRlOm1vZGlm
 eQAyMDIxLTAzLTI4VDE4OjI3OjE2KzAwOjAwvFaWqAAAAABJRU5ErkJggg==
X-Now-Playing: Tuxedomoon's _Live in Hamburg (1988)_: "What Use-"
Date: Sun, 28 Mar 2021 20:27:54 +0200
In-Reply-To: <SA2PR10MB4474A484B6207E602EB6BF0CF37F9@HIDDEN>
 (Drew Adams's message of "Sun, 28 Mar 2021 18:25:31 +0000")
Message-ID: <87a6qnp1zp.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Drew Adams <drew.adams@HIDDEN> writes: > I meant that
 if we really had an (accurate) error msg > saying that the plist wasn't proper
 then in order to > test that for each `plist-put' or whatever we'd have >
 to traverse every plist argument [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 47427
Cc: "47427 <at> debbugs.gnu.org" <47427 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Drew Adams <drew.adams@HIDDEN> writes:

> I meant that if we really had an (accurate) error msg
> saying that the plist wasn't proper then in order to
> test that for each `plist-put' or whatever we'd have
> to traverse every plist argument, to see if it really
> is proper.
>
> To test that `(a b c)' isn't a proper plist we'd need
> to check that the number of elements is even.

We are not going to check that, because it wouldn't be
backwards-compatible.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#47427; Package emacs. Full text available.

Message received at 47427 <at> debbugs.gnu.org:


Received: (at 47427) by debbugs.gnu.org; 28 Mar 2021 18:25:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Mar 28 14:25:46 2021
Received: from localhost ([127.0.0.1]:47024 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lQa6b-0005wQ-7o
	for submit <at> debbugs.gnu.org; Sun, 28 Mar 2021 14:25:46 -0400
Received: from userp2130.oracle.com ([156.151.31.86]:52528)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1lQa6X-0005wA-W4
 for 47427 <at> debbugs.gnu.org; Sun, 28 Mar 2021 14:25:42 -0400
Received: from pps.filterd (userp2130.oracle.com [127.0.0.1])
 by userp2130.oracle.com (8.16.0.42/8.16.0.42) with SMTP id 12SIP5Y2153743;
 Sun, 28 Mar 2021 18:25:34 GMT
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=oracle.com;
 h=from : to : cc :
 subject : date : message-id : references : in-reply-to : content-type :
 content-transfer-encoding : mime-version; s=corp-2020-01-29;
 bh=A/jadlswT6E2Dt2TuxpsKLWyMpUJYaJnf5rzCTfvb10=;
 b=kF7skoLkyxz4O/6kzrbLWffB8ZyRBRWOH/YaLYS6YDbWjjBuIr3dKFBGyF+SaZ359t1D
 DZlE78OxIThcXcX+1YhX3vB4+o3unrHrPgiZapr+rGiv2CUIG13uBX7IRW8+K8TulD5W
 6YCGs5IN0ktrSvk1iuSzUUPMlXa17m7R/YpSfT/2W87sEVzhjKCkE5/FFI6k9wPc5J9u
 oJS7QQgZzp3NdlFTUkP7QJUChxUXeoikNgBVyOZoQfgjCkCthDW5NWvEavra1PTgzEKp
 bR/3Y0OBvcgi1o1HSFZf7fOYBx5NbztHHr/x7E2hJZGxHNlL3U9ghr7DtuWAFewghuPn fw== 
Received: from userp3020.oracle.com (userp3020.oracle.com [156.151.31.79])
 by userp2130.oracle.com with ESMTP id 37hv4r1sgq-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Sun, 28 Mar 2021 18:25:33 +0000
Received: from pps.filterd (userp3020.oracle.com [127.0.0.1])
 by userp3020.oracle.com (8.16.0.42/8.16.0.42) with SMTP id 12SIASeU160168;
 Sun, 28 Mar 2021 18:25:33 GMT
Received: from nam12-mw2-obe.outbound.protection.outlook.com
 (mail-mw2nam12lp2043.outbound.protection.outlook.com [104.47.66.43])
 by userp3020.oracle.com with ESMTP id 37jefpvty6-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Sun, 28 Mar 2021 18:25:33 +0000
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=HUg5C13AZP3IsUTHabjdg94NpkXfQsFYjbjTNcu9oQ8PqyWANrlN9MHEQ4Dj1Kklwx2iL+ylyNyZNK26I40GLjIRRJhlpg8GrVuL0Xc/9HAdr2eOzjkJ/yPMdK/M9W99GyUPTiCCF48xXrz9fWoIMrFCG07yJXsVYcxDOemJI9KKs+csVvsAQpF0w2XZbiZwVMRV4ykw+RqWJfPB/TarJGSa8X2LqHJh5jfopftWGkCskGSUK17MKgUmkB5KKdSEoBkKTkPcB/ltqgu4ejUpwACd5Uw1PQ481yJDaSByHg/Qkexoj54JIjC3iYxxMS9NUm78yNbuxPYehBRgZqa+Dw==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=A/jadlswT6E2Dt2TuxpsKLWyMpUJYaJnf5rzCTfvb10=;
 b=YlmETID8RjJINCLMojbEA1eojaah9JERyhoWdH5gJksGl71+QwDmIlaR7XebB9gkF7wVQogkszZfBVqrvApuIrbbQZQDmALeUfg5nacjkNrGzQhKPwcdOBcCKHoCQHjWNBzg/yrsor6QRgEv/Pw23GbpTnjAqkHsIuOk5dTc+06BFZCL8y5MWI1XZO6r2XwXCWiRSc3u4v8v+UgoU6Yt+qTqegQ3n9pULe1vBpFSj2HvGHzuZvr742CygrkWTJBVyOi/syc276Ohiox3njyNBR/INcx/4WdZ0b7MCEaNQb8FghLdK6SZxEvobSnKkRAXf/RbqgzL1E0KyU8jhOYJcg==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=pass
 smtp.mailfrom=oracle.com; dmarc=pass action=none header.from=oracle.com;
 dkim=pass header.d=oracle.com; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=oracle.onmicrosoft.com; s=selector2-oracle-onmicrosoft-com;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=A/jadlswT6E2Dt2TuxpsKLWyMpUJYaJnf5rzCTfvb10=;
 b=N8i352sj7dW9HrcntSnli7+dnT+fIR0ia2EHBKiIoMQNhn2QVtp2z7sBRenfQ/tR+tPMNT2x51uaUDp+MNaD4YixutmVEZbIH7xZVkH3XwoEDy5WVcvdTxF0ICe8LqV2vg3GREVHf5636e+Gid2gMdPsUiUXrHYhTfgQ+NrVgCo=
Received: from SA2PR10MB4474.namprd10.prod.outlook.com (2603:10b6:806:11b::15)
 by SN6PR10MB3072.namprd10.prod.outlook.com (2603:10b6:805:d0::23)
 with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.3977.24; Sun, 28 Mar
 2021 18:25:31 +0000
Received: from SA2PR10MB4474.namprd10.prod.outlook.com
 ([fe80::b8d2:db6d:3e4b:d315]) by SA2PR10MB4474.namprd10.prod.outlook.com
 ([fe80::b8d2:db6d:3e4b:d315%5]) with mapi id 15.20.3977.033; Sun, 28 Mar 2021
 18:25:31 +0000
From: Drew Adams <drew.adams@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: RE: [External] : Re: bug#47427: 26.3; 1. Please define a built-in
 predicate `plistp', 2. wrong type wrong-type-argument error
Thread-Topic: [External] : Re: bug#47427: 26.3; 1. Please define a built-in
 predicate `plistp', 2. wrong type wrong-type-argument error
Thread-Index: AdcijyJHrYJvnW6yT0OQXA4sPsn37QBZuAyiAAJF2YA=
Date: Sun, 28 Mar 2021 18:25:31 +0000
Message-ID: <SA2PR10MB4474A484B6207E602EB6BF0CF37F9@HIDDEN>
References: <SA2PR10MB4474CE73E3D5EE0A343DCEAEF3619@HIDDEN>
 <878s67788i.fsf@HIDDEN>
 <SA2PR10MB4474BE6B01A099C22F5CD641F37F9@HIDDEN>
 <87eefzp5c0.fsf@HIDDEN>
In-Reply-To: <87eefzp5c0.fsf@HIDDEN>
Accept-Language: en-US
Content-Language: en-US
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
authentication-results: gnus.org; dkim=none (message not signed)
 header.d=none;gnus.org; dmarc=none action=none header.from=oracle.com;
x-originating-ip: [73.170.83.28]
x-ms-publictraffictype: Email
x-ms-office365-filtering-correlation-id: af7b28aa-0742-44f2-16f1-08d8f216defb
x-ms-traffictypediagnostic: SN6PR10MB3072:
x-microsoft-antispam-prvs: <SN6PR10MB3072C8BD1100881E0143EEB7F37F9@HIDDEN>
x-ms-oob-tlc-oobclassifiers: OLM:8882;
x-ms-exchange-senderadcheck: 1
x-microsoft-antispam: BCL:0;
x-microsoft-antispam-message-info: SVxTNtaKW/PdTrEBgI06T//0vnvhYdfIvGy7z1D3Df0nl66FjK/lVZ8YDt1R/NppHHYm+2+MN2teJEJAc50Ej8DVnzrJLVTa1JhKj5iyBy5Kes1QlIcimSMJFvtk3M+J366+CTQNisUgDqIhUIFZVAc8g2Ui7682Rc8VYk6BOH5fyJKFGJAeMA1g0ObKqi3UwM5z0ME10/5k/NNrlqZfbX7NSVh9po1ObDvTC6iZDZtbXaYfDDRoz8KcOASszXNyMQ8nlhGbYjwvZqlKeYyyQf7j5puzEH2ZhbZZXk7UoQYZ6/uFOtD/qv04vbOc/TgqicRirGac57PR4V9X62WQowmfdk4tRiZSJldm+gUrrsgYEssMivLDp09S6ZwhyU2Lxf8V8wHz/mzEeFaiiJNQeFqbuVd8DvTxEvIPxFcrAcUzROttNrOf2M9gat92dzY0rqTJymzyyO4mB0crcL3wiXSoi0KKtZSdl3K+sbpvlKQgy2sHip6OpSm5p5ulaG54+pyedrOUZu1w27tNb6iVAFpYc7/gaKR3mD+1ky/y7xUcw2XHVStigUPnRiEzQMDi72k8xjU452u1QLsw2JRlGMUJC0DNK4jmFB/RDqPVkODaBkWgrhyUiBmcK5sEb4cgVumojScUQxlZOrvlwsRAzgVRrlT8gQJKViHqrUC12G6mhPIJJP0eTJ2ClODLF0Iz
x-forefront-antispam-report: CIP:255.255.255.255; CTRY:; LANG:en; SCL:1; SRV:;
 IPV:NLI; SFV:NSPM; H:SA2PR10MB4474.namprd10.prod.outlook.com; PTR:; CAT:NONE;
 SFS:(376002)(136003)(346002)(396003)(39860400002)(366004)(86362001)(52536014)(55016002)(66446008)(478600001)(66476007)(6916009)(26005)(4744005)(66946007)(7696005)(5660300002)(8936002)(6506007)(33656002)(186003)(38100700001)(2906002)(4326008)(8676002)(64756008)(71200400001)(76116006)(66556008)(316002)(83380400001)(44832011)(9686003)(81973001);
 DIR:OUT; SFP:1101; 
x-ms-exchange-antispam-messagedata: =?us-ascii?Q?vNPFQJF0c+YF5Eg6Kj3QfbR1hohAWsB9FPY2eK/oV7HECC5L/Ue5yy+18ItM?=
 =?us-ascii?Q?cY9R9wHzcnzDzDyCElcExreTLqQc4Mx7P2RmnMoS328k/1jWhM2zrl6HsQnF?=
 =?us-ascii?Q?4X2Ce1iXRqXXlypr7xAhOawq8qRzfmG4VD1ZT1Vh9cmJqphjLZOM06xXcHm/?=
 =?us-ascii?Q?GGEO5sfAuTODy/6ypmrdBkEqHa3Nw/NrUrnn/U88+4eFE5rW6xvgQQFZaTJJ?=
 =?us-ascii?Q?P+FV5NZayP+uZompxga0wrBw7LttwY7iJ+fEJ/V7corQJczOMR+uv3o+Gf4z?=
 =?us-ascii?Q?/fu4cGkW+JTtOsvQZfstJh1B/pl5bzDBFai67uX030FcJ3Y78k8wcJCghibW?=
 =?us-ascii?Q?Lo0pM6WaPDejOv1YglyaLjsoLgFR26YfzBhpFo5c4AoahLyzb5tuMXKYDIMc?=
 =?us-ascii?Q?u7LotaSnjIDrjyUBdDzp56Lp76/qB3yfNq1MMr4lKyUMe00zkxMZabQsgHUe?=
 =?us-ascii?Q?nfJSlElPwJ0S2jmACjFMssPS5WexrScGTH543cmKh256e4bEwSjkgoyMZC+D?=
 =?us-ascii?Q?PuWeku2UEHZ7DDC4WkzDUyoAtRatJKn71KkZt2QUVN/T0A9ivFOOc7sxC8ME?=
 =?us-ascii?Q?qF0+/49Bu5o/mDXnvb5yxzOpm37c75SDAbHJoBnw7tf5Pzy8NYkiMheyfelQ?=
 =?us-ascii?Q?BpFIqaynJlvXdlXxz2Dpo6vKt03rSD69BybMTw9IUaB6BHjWUfgNB+IcmGYl?=
 =?us-ascii?Q?avO8rcRDP2RKniSZrl0b/Ljk8QBRz3dB0J09oh1gWvjoZLm/X9KQu2ofVC3i?=
 =?us-ascii?Q?uz7c2Q14v72+jfhZGcBNFPePh4HMa/+hXcfsN0ljQnZupQtfahlTsri8YLIP?=
 =?us-ascii?Q?LSaC0vw/RYzOk7WCCZTf+c1CmcCwop/kNKpaiyLeC40dAseC6hOeStHTHU3E?=
 =?us-ascii?Q?x2xsWgwMSNgc2gsduFpA7bXTuE73YkewurytpIS3E03D8+i85XE12NXWUbzj?=
 =?us-ascii?Q?eswohFG9O2q8R52rJTku/27/Pr+UtWmiMk/b/ODUuyAxpmXzXtBbu3H9q1bb?=
 =?us-ascii?Q?Si+/ugG5feXXha8kYuD5GSoLKTjBHV2bdlnguOwPWM/MnBbmTTBHPiUsVyvr?=
 =?us-ascii?Q?SIdUl7aGPUDjhfuozWXJ9cYjJu5SXxqgTmj3hd2hmzR99SzIBpow0vT7d4Ec?=
 =?us-ascii?Q?TkBpu8ygeX7TRwikR8cwVovwOHUsyIS/VP2ArmMPiV8HbzgfkY+bvD0O9vwq?=
 =?us-ascii?Q?/+hQ1g7HEZ9ckGq3FHnE7boDOq5hjJusgBgA6m864hoeQm1cEN+AEX1gK3+U?=
 =?us-ascii?Q?/iay15Y9E1Ksw77FSscA6J45Ql/93E/KclUGhxsowrIXeEdrIelNObbnF1gs?=
 =?us-ascii?Q?N7M=3D?=
x-ms-exchange-transport-forked: True
Content-Type: text/plain; charset="us-ascii"
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-OriginatorOrg: oracle.com
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-AuthSource: SA2PR10MB4474.namprd10.prod.outlook.com
X-MS-Exchange-CrossTenant-Network-Message-Id: af7b28aa-0742-44f2-16f1-08d8f216defb
X-MS-Exchange-CrossTenant-originalarrivaltime: 28 Mar 2021 18:25:31.6378 (UTC)
X-MS-Exchange-CrossTenant-fromentityheader: Hosted
X-MS-Exchange-CrossTenant-id: 4e2c6054-71cb-48f1-bd6c-3a9705aca71b
X-MS-Exchange-CrossTenant-mailboxtype: HOSTED
X-MS-Exchange-CrossTenant-userprincipalname: OqZagP4bzTLyhfHlO5ylOgRPINHtmyyOiidxZgsCk/AsQtjtG4pQjowHyEMNjxBd7lXs3YOpdvMGT8Ofg56YnA==
X-MS-Exchange-Transport-CrossTenantHeadersStamped: SN6PR10MB3072
X-Proofpoint-Virus-Version: vendor=nai engine=6200 definitions=9937
 signatures=668683
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 spamscore=0
 mlxlogscore=999
 adultscore=0 mlxscore=0 malwarescore=0 bulkscore=0 phishscore=0
 suspectscore=0 classifier=spam adjust=0 reason=mlx scancount=1
 engine=8.12.0-2103250000 definitions=main-2103280141
X-Proofpoint-ORIG-GUID: 3aIQIeBwu2e7qsATAy-xAYr5QMt_Coob
X-Proofpoint-GUID: 3aIQIeBwu2e7qsATAy-xAYr5QMt_Coob
X-Proofpoint-Virus-Version: vendor=nai engine=6200 definitions=9937
 signatures=668683
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0
 priorityscore=1501 phishscore=0
 adultscore=0 mlxlogscore=999 malwarescore=0 spamscore=0 suspectscore=0
 clxscore=1015 bulkscore=0 lowpriorityscore=0 impostorscore=0 mlxscore=0
 classifier=spam adjust=0 reason=mlx scancount=1 engine=8.12.0-2103250000
 definitions=main-2103280142
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 47427
Cc: "47427 <at> debbugs.gnu.org" <47427 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> The backtrace has "abc"; the code example does not.

Yeah, sorry; typo.

> > On the other hand, a probably more important question
> > is the cost of getting the length of the list.  That
> > would be my main hesitation to say we should really
> > have a `plistp' predicate.
>=20
> Why?  It's not like we'd use it for anything much.

I meant that if we really had an (accurate) error msg
saying that the plist wasn't proper then in order to
test that for each `plist-put' or whatever we'd have
to traverse every plist argument, to see if it really
is proper.

To test that `(a b c)' isn't a proper plist we'd need
to check that the number of elements is even.

We could of course have a `plistp' predicate without
using it to test during `plist-put' etc.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#47427; Package emacs. Full text available.

Message received at 47427 <at> debbugs.gnu.org:


Received: (at 47427) by debbugs.gnu.org; 28 Mar 2021 17:15:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Mar 28 13:15:55 2021
Received: from localhost ([127.0.0.1]:46952 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lQZ10-0002vJ-TH
	for submit <at> debbugs.gnu.org; Sun, 28 Mar 2021 13:15:55 -0400
Received: from quimby.gnus.org ([95.216.78.240]:57740)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1lQZ0y-0002nz-Pg
 for 47427 <at> debbugs.gnu.org; Sun, 28 Mar 2021 13:15:53 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=zpzGKXUhLhqyXNFGLmEsKnN/SwndLjb6YcisAYFKKHU=; b=Y8STKcRwZFe66Upgm2a9/ijJhm
 i4EcERz+B7MZYA96Qxh2UdbmZ9R9MdBnGT4V/9KBd7zPXTQTaAmVIHf9jq/ftun1k/M59y2MyFKs9
 k8mykufMxS2y+ejoGdrXt2IcbJCClodnJ8HSXKKadBTvND87fVAULQYbAW4EhAsxvNvo=;
Received: from cm-84.212.220.105.getinternet.no ([84.212.220.105] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1lQZ0q-0004bu-Dl; Sun, 28 Mar 2021 19:15:46 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Drew Adams <drew.adams@HIDDEN>
Subject: Re: [External] : Re: bug#47427: 26.3; 1. Please define a built-in
 predicate `plistp', 2. wrong type wrong-type-argument error
References: <SA2PR10MB4474CE73E3D5EE0A343DCEAEF3619@HIDDEN>
 <878s67788i.fsf@HIDDEN>
 <SA2PR10MB4474BE6B01A099C22F5CD641F37F9@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAAAAAByaaZbAAAABGdBTUEAALGPC/xhBQAAAAJi
 S0dEAP+Hj8y/AAAACXBIWXMAAABkAAAAZAAPlsXdAAAAB3RJTUUH5QMcEQ4T0OsXcQAAAeZJREFU
 SMfNlT2OszAQhp9EuImUJg0+w8oSl8gFttg0HMBVTrMVV9gUe4Fs4xtEstJwAdN8DVIaN19BYMFg
 At26AHk87/x43hlvDONVND8LoADdO9uYwjoACTio8fjQgEAAHjhpTMqKlZrtGnWoimTO3NGCO9p2
 7yqg85DlqQgANYC0aiDsAEpfQg97i3IK7qVynbANSQCHKvRQU9sSj61/pWb3DDhLdwuyzrukq2qB
 OtiV19pL+s8A1GoPEWpk3P3kgU5CMgvxID1yndYXjAHvoIvvRzSkIhA80PDlY/ps7ZT0JOKAMMic
 M+ifbJpYgu2Q7bzxfYOCz/cYFfPQBOQ5iOmgUhPWwQf/lznAcx7F1lSlSxdVl5OAR7RqLGLrcJq8
 BqSXwyqAuBTVYoAATlx7EjcLyH5ycn0ejpO52arQaG4sBnxdjxqyEthLBfb2AuArgM/nrsC98kCm
 AQrrqPEtu0y8VzKTkZusLxqztXenJ32+AQGxksLH9Pmo4PmstEvGcxC2bDgYGEwA0ubNleCkQ949
 8GjvPwBsG0ftVyJnuq0DgKOUd+6UgBJzgITeRQgH1MMODQfdXB0AdsPj3MxWGhh1a8Ib7p8HEAeJ
 auIpvRcgnnQQiD2Shr4b00Wqx/abBAYH/wGn4ZBKGesgjQAAACV0RVh0ZGF0ZTpjcmVhdGUAMjAy
 MS0wMy0yOFQxNzoxNDoxOSswMDowMG7mVsoAAAAldEVYdGRhdGU6bW9kaWZ5ADIwMjEtMDMtMjhU
 MTc6MTQ6MTkrMDA6MDAfu+52AAAAAElFTkSuQmCC
X-Now-Playing: Mary Halvorson's Code Girl's _Artlessly Falling_: "Mexican
 War Streets (Pittsburgh)"
Date: Sun, 28 Mar 2021 19:15:43 +0200
In-Reply-To: <SA2PR10MB4474BE6B01A099C22F5CD641F37F9@HIDDEN>
 (Drew Adams's message of "Sun, 28 Mar 2021 16:39:29 +0000")
Message-ID: <87eefzp5c0.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Drew Adams <drew.adams@HIDDEN> writes: >> > (plist-put
 (list 'a 'b 'c) "a" 42) >> > >> > Debugger entered--Lisp error:
 (wrong-type-argument
 plistp (a b c)) >> > plist-put((a b c) "abc" 42) >> > eval((plist-put (list
 (quote a) (quote b) (qu [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 47427
Cc: "47427 <at> debbugs.gnu.org" <47427 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Drew Adams <drew.adams@HIDDEN> writes:

>> >  (plist-put (list 'a 'b 'c) "a" 42)
>> >
>> > Debugger entered--Lisp error: (wrong-type-argument plistp (a b c))
>> >   plist-put((a b c) "abc" 42)
>> >   eval((plist-put (list (quote a) (quote b) (quote c)) "abc" 42))
>> >
>> > That's all fine and dandy, except that there is no predicate `plistp'.
>> 
>> The backtrace there doesn't seem to be a result of the example form,
>
> What do you mean by that?

The backtrace has "abc"; the code example does not.

> On the other hand, a probably more important question
> is the cost of getting the length of the list.  That
> would be my main hesitation to say we should really
> have a `plistp' predicate.

Why?  It's not like we'd use it for anything much.  

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#47427; Package emacs. Full text available.

Message received at 47427 <at> debbugs.gnu.org:


Received: (at 47427) by debbugs.gnu.org; 28 Mar 2021 16:39:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Mar 28 12:39:41 2021
Received: from localhost ([127.0.0.1]:46911 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lQYRx-0001Da-EM
	for submit <at> debbugs.gnu.org; Sun, 28 Mar 2021 12:39:41 -0400
Received: from aserp2120.oracle.com ([141.146.126.78]:36230)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1lQYRw-0001DN-3i
 for 47427 <at> debbugs.gnu.org; Sun, 28 Mar 2021 12:39:40 -0400
Received: from pps.filterd (aserp2120.oracle.com [127.0.0.1])
 by aserp2120.oracle.com (8.16.0.42/8.16.0.42) with SMTP id 12SGZv28148882;
 Sun, 28 Mar 2021 16:39:32 GMT
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=oracle.com;
 h=from : to : cc :
 subject : date : message-id : references : in-reply-to : content-type :
 content-transfer-encoding : mime-version; s=corp-2020-01-29;
 bh=I5xtez3Aah1tWsS4KrGV+6HErUFv6hQpkx/bKx6wkGk=;
 b=IJW+zCt7DRGL4zsEr6Ayf5wicOLAGPQcECcoYCp9Sm40eTSbpCE4LU9TumE1Qze/0BBM
 ReS2a1STTK8LlJE3OcTRBeoPQcU47mSFBajmVVBLRpT8hhss2AXJk3hcNTlxCcF/bDmi
 Evp6ElSiVktKcKvvnBReix79kqyLrzlFIVCwsI3z0T9XwHyFGJS9ahMdxM1LZtl3lB0W
 kaRy8MBdoKPx35vLu1OnSHJ06YW+mwZMBjWuw0mNS6vTlqzSFkcf5vetywUd/McpEGuB
 R5yMlBTZt//Bf3nMJ5V2M5j8czWcbmZMjXId93acYIJtnHMUgn6PpuzrPu4zc7PR9aix Qw== 
Received: from userp3020.oracle.com (userp3020.oracle.com [156.151.31.79])
 by aserp2120.oracle.com with ESMTP id 37hvnm1q9n-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Sun, 28 Mar 2021 16:39:32 +0000
Received: from pps.filterd (userp3020.oracle.com [127.0.0.1])
 by userp3020.oracle.com (8.16.0.42/8.16.0.42) with SMTP id 12SGaS8B181048;
 Sun, 28 Mar 2021 16:39:31 GMT
Received: from nam12-dm6-obe.outbound.protection.outlook.com
 (mail-dm6nam12lp2177.outbound.protection.outlook.com [104.47.59.177])
 by userp3020.oracle.com with ESMTP id 37jefpu0uu-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Sun, 28 Mar 2021 16:39:31 +0000
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=WScXY1DSGgQhyPp156k7vheZYpzgd0Quj/TgOSCZCXrSmYydLocM2QR7+GAAdmk83AR2hJV6tuicvJjs1pcz0O2DKoqDJyemRARp8CFcsO+y7w897ik2VKQZszdTJEEyXnIsEoiwCV53VL8Yfswgn7Pf3zMTNSEV0E//XtmHdPh0P08/sSGhgFUNTmNNYZLV9h3bXkxCIXv6Ik4n6WYU2MBXbut3EO6dOIGKvajzJEeHmQVL56BdbxUOO8pl3FNXZ5Jl/MMAvO9sEANARYO3/43k0lIpNAv2o3MrTPsojZs8j8P5q2IyS3GIoqMBv22Z9ifmjEXV4np9J9I1eTnDDg==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=I5xtez3Aah1tWsS4KrGV+6HErUFv6hQpkx/bKx6wkGk=;
 b=EXubOJSpnvGvuWKIpMFmSk3Jg3lE2cQuyu4+RCCGp+tK51fnIiXdSxethkcUUDNOaCBY+WW75BmwHimmlYw6mkIapnVc/VQdVqSkGZAdAeEI3jtN4KPKU7uaMC5eO2fYvj+6PRJb2xHZiyzjC16nn8IILdsg+d/fRhWS30fj3mqTcdgdcuQ7dpnmGuP5aJWnj70BqOL8ffjSuTqzOqzYqnscJNNXY2Dx4AKwYYKlTcbwTDJSMkq+pbosp06b+KH9vs2as9h2E5uQPY5PFQMfzoKGwggZkB1PtfJXsq3BGtMsaxT8YwtxWlbIvqtuyAxWjg0JyDdqfL+sZzjPtcHAQA==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=pass
 smtp.mailfrom=oracle.com; dmarc=pass action=none header.from=oracle.com;
 dkim=pass header.d=oracle.com; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=oracle.onmicrosoft.com; s=selector2-oracle-onmicrosoft-com;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=I5xtez3Aah1tWsS4KrGV+6HErUFv6hQpkx/bKx6wkGk=;
 b=xwYDO5hW6tHk2uarisxtNd5aID7jTDFDNLsk85YG5BGUjp2qiVKotghqJPXyem419xrDPf2xheXN7Z+wSqUOlLn0TqM+s+MU1wz1NWNTc0EisMyF3ea1DfW2qYp0P1BuAEEJxaPAurLDAbFF0R1a+bPGpwPp4+tgy7xTn9YPsN8=
Received: from SA2PR10MB4474.namprd10.prod.outlook.com (2603:10b6:806:11b::15)
 by SN6PR10MB2669.namprd10.prod.outlook.com (2603:10b6:805:40::18)
 with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.3977.29; Sun, 28 Mar
 2021 16:39:29 +0000
Received: from SA2PR10MB4474.namprd10.prod.outlook.com
 ([fe80::b8d2:db6d:3e4b:d315]) by SA2PR10MB4474.namprd10.prod.outlook.com
 ([fe80::b8d2:db6d:3e4b:d315%5]) with mapi id 15.20.3977.033; Sun, 28 Mar 2021
 16:39:29 +0000
From: Drew Adams <drew.adams@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: RE: [External] : Re: bug#47427: 26.3; 1. Please define a built-in
 predicate `plistp', 2. wrong type wrong-type-argument error
Thread-Topic: [External] : Re: bug#47427: 26.3; 1. Please define a built-in
 predicate `plistp', 2. wrong type wrong-type-argument error
Thread-Index: AdcijyJHrYJvnW6yT0OQXA4sPsn37QBQdLqcAAdGUOA=
Date: Sun, 28 Mar 2021 16:39:29 +0000
Message-ID: <SA2PR10MB4474BE6B01A099C22F5CD641F37F9@HIDDEN>
References: <SA2PR10MB4474CE73E3D5EE0A343DCEAEF3619@HIDDEN>
 <878s67788i.fsf@HIDDEN>
In-Reply-To: <878s67788i.fsf@HIDDEN>
Accept-Language: en-US
Content-Language: en-US
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
authentication-results: gnus.org; dkim=none (message not signed)
 header.d=none;gnus.org; dmarc=none action=none header.from=oracle.com;
x-originating-ip: [73.170.83.28]
x-ms-publictraffictype: Email
x-ms-office365-filtering-correlation-id: 9982df19-5a37-4921-b4e1-08d8f2080e9f
x-ms-traffictypediagnostic: SN6PR10MB2669:
x-microsoft-antispam-prvs: <SN6PR10MB2669B4AF2DD892B3FB0391C5F37F9@HIDDEN>
x-ms-oob-tlc-oobclassifiers: OLM:10000;
x-ms-exchange-senderadcheck: 1
x-microsoft-antispam: BCL:0;
x-microsoft-antispam-message-info: erfm+yfEeoXQ5OM2SntLYOuFV+hT1zuPgLHNxbCNqvV0f6FGyEubEke4T+2gGTvDSZBbvroqyjpdHdtwL3nEJ4NoTP+fFoKtZV8s188okVIO740rkoKcPiBbnnk5V37SlTlahlMddturHhDFlAvqiGCcNubWf8SkmvEBVsS17BlizCA1GPjgdhqAKROYIAM+ZKB7BBqtSR8P2StTlJN3TnwvzPR/7bCcs9sQNxGhVhkVe69ylRVrjS1p+5qxbp+Ot2MOlwnTPT1866c4lpBHxkeYIkmgADvNXHV9DppzbhKggBWzFScn4xV5b09lsMKKGbeeRvlKnRFUR/Q5N43QPPpUXwdB1TeQ/Tzh9u/ZjXv/Q1HBjBI8nGtbGiin9MzKSmdqSnxsUGptxHHY27mLX2lY3ZaaCd/Xj0FsDV1uAGkqQUKVbHoAwmu78aZnRl9gwdXGpxbad9lvupVg0JOnpGMRRU5/ehm9eU3TPt9kcqh1YhL+ZFCYgTKbkyLJzrUNqbgkcFma/As5UmzpZLyEM63E1NrHL3u5ycy96jBe03y8LynpT8d2J2PIGHOmF1kOJdp4+a/jSCderMDb/GnDKKLggxe6B9DvWlxaqsWkcPLBVrMoRTrp90Mi7olkKIUEU/iXIzhnHmJCkOPt1qgdTBqBwu0XsCfS0flfdbhMM5GIWMEal0enR4E17q5e+woY
x-forefront-antispam-report: CIP:255.255.255.255; CTRY:; LANG:en; SCL:1; SRV:;
 IPV:NLI; SFV:NSPM; H:SA2PR10MB4474.namprd10.prod.outlook.com; PTR:; CAT:NONE;
 SFS:(396003)(136003)(366004)(376002)(346002)(39860400002)(33656002)(76116006)(2906002)(71200400001)(6506007)(55016002)(26005)(83380400001)(7696005)(186003)(44832011)(9686003)(8936002)(38100700001)(52536014)(66946007)(5660300002)(86362001)(316002)(478600001)(66446008)(64756008)(66556008)(66476007)(6916009)(4326008)(8676002)(81973001);
 DIR:OUT; SFP:1101; 
x-ms-exchange-antispam-messagedata: =?us-ascii?Q?AUDKy1lX4Fc7nw31H52BUGl4+lfLRb/jLa5v2nHYKVBpk4foZKpvRbRiG3hA?=
 =?us-ascii?Q?YdoVw2XxAiAmSw2Z1Hq6eUVCkdLr5gvXpZF0xXZc12/it1xy6AKqMjEjkf+k?=
 =?us-ascii?Q?6vhK07IJjAzqy/suQviugBPVdoFpHkI2N8yYiNEBi8oqGr9eIDIryKWqYUQ2?=
 =?us-ascii?Q?qm3yfQhgNCfmjtRIg3gr2cnvU11D00s1lZD301N/2Reybq5PXFstb/OJxIlx?=
 =?us-ascii?Q?5xdovzFP1W/JQOd9o2j2ZSY0ezTjnxPuCLr/xQMFzUBt+rcE9QRwzPt6yWGl?=
 =?us-ascii?Q?EkBo00NHiuSL838ufZscHOnVjJ1YDAMkLaYeU51YVBRa/ZxCBkfNl9BH9EDI?=
 =?us-ascii?Q?pt03L2NAznjYZkiUiUWIEBMlKXRhO5PCwVrsTBAjcDQ00qSzR8l+NWCXwQ2Q?=
 =?us-ascii?Q?EpyEZKn7d6wyvQzHhuVQHx+y7MkcNPQ+6ohVTxYC85LBldqVwLsKx0TrM41a?=
 =?us-ascii?Q?Rw5YmMxeiizkK1Av8M3d5/zs7vAJMejfC71cAPdSny1HHo4f0OTjFMKa0mF3?=
 =?us-ascii?Q?5Fh0rdfWWRg+pYIOIyxnEbLBCMTK450jDCctBuQHzDA+/jyy/XajHiV5/HOW?=
 =?us-ascii?Q?RYADoPuBNE6AnH2UVClD+I+bRpzVKEMxqPOUOPOw7X+Gk+GusgryGOpf2u+O?=
 =?us-ascii?Q?CRfar7oWE1epdhjwPEIV9t84nJEUnlKORG5iitaOrXlX2d+G1h4r9SfI3zb+?=
 =?us-ascii?Q?wrJ1ezQxObsFTihHoS6LjwaZ37fE0E5T0gKo0eCkXUtVPYUGpeQVvo04aLKo?=
 =?us-ascii?Q?sZ2pKkcCNt2BCjB+JneBYKc/JElCXQq6N1d2x2T8zyQpM9WwCAwKpBo6GO1m?=
 =?us-ascii?Q?G17wUfce8aCuxtPDhgPMoXKm7eZ2AF+vORSca+0SFwpXELsbSDt/Rg3Ct6Vm?=
 =?us-ascii?Q?sM0IRzdZv9lkFS0HWjolSjfCiZOyb8G0VwML62n92x97SweFv+I0sWbRsPZv?=
 =?us-ascii?Q?oEc+ZkTT4XflVJSE+nFw13ZYofwblO0lJlrXOzln30JNy8UJgbSnMOYf6XOK?=
 =?us-ascii?Q?0xji0dVCMvqn5wkpBio2t9DFTGyZn0iL4c+H1SIqp99K4oPqKfW282b5KVvT?=
 =?us-ascii?Q?01uRbnYP7cDLDh0WXGM/L6dQAzQdl+HXIpCuBViU6CUFr00pdks/adDjLvPQ?=
 =?us-ascii?Q?z3320AjoGiryErv9mnpUTD5cz+HXvyAJ+JCyKZOwJ8ijhW3QjEvCOEyG12Zb?=
 =?us-ascii?Q?dVjBCwjeTs4t6s/bfuh9mlpqeBUqFeoywiVFUqK7VHZ9NWJDhuJI65jNlQTi?=
 =?us-ascii?Q?171lC7Lytbt104IBhR28Dl8jxKvnSXBGVavYvxTXKdrdksSyeF2jRCfiS49u?=
 =?us-ascii?Q?I9g=3D?=
x-ms-exchange-transport-forked: True
Content-Type: text/plain; charset="us-ascii"
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-OriginatorOrg: oracle.com
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-AuthSource: SA2PR10MB4474.namprd10.prod.outlook.com
X-MS-Exchange-CrossTenant-Network-Message-Id: 9982df19-5a37-4921-b4e1-08d8f2080e9f
X-MS-Exchange-CrossTenant-originalarrivaltime: 28 Mar 2021 16:39:29.0967 (UTC)
X-MS-Exchange-CrossTenant-fromentityheader: Hosted
X-MS-Exchange-CrossTenant-id: 4e2c6054-71cb-48f1-bd6c-3a9705aca71b
X-MS-Exchange-CrossTenant-mailboxtype: HOSTED
X-MS-Exchange-CrossTenant-userprincipalname: wpy1MukSXBKiSwvqqNWmySLx0C+l1eRUjiaLt68910bZ4uZMA62YwPJWU+QC3md7KcIHb1h0bIGehywttQhcJg==
X-MS-Exchange-Transport-CrossTenantHeadersStamped: SN6PR10MB2669
X-Proofpoint-Virus-Version: vendor=nai engine=6200 definitions=9937
 signatures=668683
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 spamscore=0
 mlxlogscore=527
 adultscore=0 mlxscore=0 malwarescore=0 bulkscore=0 phishscore=0
 suspectscore=0 classifier=spam adjust=0 reason=mlx scancount=1
 engine=8.12.0-2103250000 definitions=main-2103280126
X-Proofpoint-GUID: uY6kdPcJorkoBzYh0ooemYGyzJ3cuKAQ
X-Proofpoint-ORIG-GUID: uY6kdPcJorkoBzYh0ooemYGyzJ3cuKAQ
X-Proofpoint-Virus-Version: vendor=nai engine=6200 definitions=9937
 signatures=668683
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 impostorscore=0
 mlxlogscore=835
 clxscore=1011 priorityscore=1501 phishscore=0 spamscore=0 bulkscore=0
 lowpriorityscore=0 suspectscore=0 mlxscore=0 malwarescore=0 adultscore=0
 classifier=spam adjust=0 reason=mlx scancount=1 engine=8.12.0-2103250000
 definitions=main-2103280126
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 47427
Cc: "47427 <at> debbugs.gnu.org" <47427 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> >  (plist-put (list 'a 'b 'c) "a" 42)
> >
> > Debugger entered--Lisp error: (wrong-type-argument plistp (a b c))
> >   plist-put((a b c) "abc" 42)
> >   eval((plist-put (list (quote a) (quote b) (quote c)) "abc" 42))
> >
> > That's all fine and dandy, except that there is no predicate `plistp'.
>=20
> The backtrace there doesn't seem to be a result of the example form,

What do you mean by that?

> but, yes, the error here isn't very good.

That's perhaps the main point, in spite of the Subject
line.  Whether there should be a `plistp' predicate is
separate from whether and what error should be reported
here.  Feel free to change the Subject line to something
more general, or to split this into two or more bugs:
(1) bad error report, (2) how to handle `plist-put'
etc., including whether to tolerate improper plists,
(3) whether to add a `plistp' primitive.

> Adding a `plistp' predicate would perhaps make sense,
> but it would just be
>=20
> (and (listp list) (zerop (mod (length list) 2)))

Maybe, but maybe, like other such preds, it should
be done in C.

> and then we have the philosophical issue of "is nil a plist"?  Does
> anybody have any opinions?

Yes, of course it's a plist, IMO.  Why wouldn't it be?

On the other hand, a probably more important question
is the cost of getting the length of the list.  That
would be my main hesitation to say we should really
have a `plistp' predicate.

Errors like the one above should be handled correctly.
The error is NOT that the list is not a plist.

And I could argue that we should take the same approach
we take to things that apply to lists, e.g. to elements
of a list.  We generally do NOT require list operations
to be passed a proper list - typically a list whose last
cdr is an atom can still be handled by most operations.

I think the same should probably be true for plists.
If the particular operation doesn't need to traverse the
entire list then it shouldn't - no test for a proper
plist.

Let other kinds of errors be raised as appropriate.
Errors like the one reported here are NOT about the plist
not being proper (in this case not an even # of elements).
They are about a particular plist element or a particular
value that's tested against the plist.

> > Not only that, but the error is _not_, apparently that the first
> > arg isn't a proper plist.  For example, this raises no error:
> >
> >  (plist-put (list 'a 'b 'c) "a" 42)
> >
> > And it returns the list (a 42 c).  Clearly the error was raised
> > not because of an improper plist but because the key to look up
> > is a string and the keys in the almost-plist are symbols.
>=20
> Here you probably meant to say:
> (plist-put (list 'a 'b 'c) 'a 42)

Yes.

> And that does indeed not result in any errors, but it's not because of
> the stringiness of anything, but because 'a exists in the list, and
> plist-put doesn't check whether the list is a plist in that case.

Precisely.  That's what I wrote immediately above.
Let plists be handled the way lists are handled: if
a particular operation doesn't need the plist to be
proper then don't check for it to be proper.  If an
operation does need a proper plist then that operation
will, itself, find out whether it can be effected,
and raise an error if not.

> Only when adding new elements does it check:
>=20
> (plist-put (list 'a 'b 'c) 'd 42)
> This signals an error.

Even that wouldn't need to raise an error, if `put'
added entries at the beginning instead of the end.

The manual says:

  It may modify PLIST destructively, or it may
  construct a new list structure without altering the old.  The
  function returns the modified property list, so you can store that
  back in the place where you got PLIST

Even to replace an existing entry there's no need in
general, to traverse the entire list.  IOW, I think
`put' could be smarter: Look for an existing entry,
which would mean traversing the list if there is none,
but that traversal could be tolerant and not care
whether the plist is proper.  And if no existing
entry is found it could add the new entry at the
beginning of the plist (or at the end of its proper
portion, just before the atomic last cdr).=20




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#47427; Package emacs. Full text available.

Message received at 47427 <at> debbugs.gnu.org:


Received: (at 47427) by debbugs.gnu.org; 28 Mar 2021 12:50:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Mar 28 08:50:36 2021
Received: from localhost ([127.0.0.1]:45510 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lQUsG-0001Wu-Fn
	for submit <at> debbugs.gnu.org; Sun, 28 Mar 2021 08:50:36 -0400
Received: from quimby.gnus.org ([95.216.78.240]:55224)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1lQUsE-0001We-GE
 for 47427 <at> debbugs.gnu.org; Sun, 28 Mar 2021 08:50:35 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=6EaBz/lyR4Gbr9MxkZirmyInqvoYshS/epEfklyh8+0=; b=JTggaEX81trjDRNOfYeDdaV75U
 hCiTHIbb5JjG0LGc6w8DEkHVM3yi3emg6zCH41WJM8pdUeXGiAfoBWMX/9UNALCIfNKOnoAdWHq4K
 zh38VDRdLPNgfBJfFYTNO7l0sfYLTERCS84ptqXTYkcny0cFXfwhqdo2eYIbyHbvS+lI=;
Received: from cm-84.212.220.105.getinternet.no ([84.212.220.105] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1lQUs1-0001zH-T5; Sun, 28 Mar 2021 14:50:27 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Drew Adams <drew.adams@HIDDEN>
Subject: Re: bug#47427: 26.3; 1. Please define a built-in predicate
 `plistp', 2. wrong type wrong-type-argument error
References: <SA2PR10MB4474CE73E3D5EE0A343DCEAEF3619@HIDDEN>
X-Now-Playing: Bobbie Gentry's _The Girl From Chickasaw County (5): Touch
 'Em With Love_: "Seasons Come, Seasons Go"
Date: Sun, 28 Mar 2021 14:50:21 +0200
In-Reply-To: <SA2PR10MB4474CE73E3D5EE0A343DCEAEF3619@HIDDEN>
 (Drew Adams's message of "Fri, 26 Mar 2021 22:27:00 +0000")
Message-ID: <878s67788i.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Drew Adams <drew.adams@HIDDEN> writes: > (plist-put (list
 'a 'b 'c) "a" 42) > > Debugger entered--Lisp error: (wrong-type-argument
 plistp (a b c)) > plist-put((a b c) "abc" 42) > eval((plist-put (list (quote
 a) (quote b) (quote c)) "abc" 4 [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 47427
Cc: 47427 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Drew Adams <drew.adams@HIDDEN> writes:

>  (plist-put (list 'a 'b 'c) "a" 42)
>
> Debugger entered--Lisp error: (wrong-type-argument plistp (a b c))
>   plist-put((a b c) "abc" 42)
>   eval((plist-put (list (quote a) (quote b) (quote c)) "abc" 42))
>
> That's all fine and dandy, except that there is no predicate `plistp'.

The backtrace there doesn't seem to be a result of the example form,
but, yes, the error here isn't very good.  Adding a `plistp' predicate
would perhaps make sense, but it would just be

(and (listp list)
     (zerop (mod (length list) 2)))

and then we have the philosophical issue of "is nil a plist"?  Does
anybody have any opinions?

> Not only that, but the error is _not_, apparently that the first
> arg isn't a proper plist.  For example, this raises no error:
>
>  (plist-put (list 'a 'b 'c) "a" 42)
>
> And it returns the list (a 42 c).  Clearly the error was raised
> not because of an improper plist but because the key to look up
> is a string and the keys in the almost-plist are symbols.

Here you probably meant to say:

(plist-put (list 'a 'b 'c) 'a 42)

And that does indeed not result in any errors, but it's not because of
the stringiness of anything, but because 'a exists in the list, and
plist-put doesn't check whether the list is a plist in that case.  Only
when adding new elements does it check:

(plist-put (list 'a 'b 'c) 'd 42)

This signals an error.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#47427; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 26 Mar 2021 22:27:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Mar 26 18:27:11 2021
Received: from localhost ([127.0.0.1]:42784 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lPuv8-0000fT-Rp
	for submit <at> debbugs.gnu.org; Fri, 26 Mar 2021 18:27:11 -0400
Received: from lists.gnu.org ([209.51.188.17]:59362)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1lPuv6-0000fK-L9
 for submit <at> debbugs.gnu.org; Fri, 26 Mar 2021 18:27:09 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:33430)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <drew.adams@HIDDEN>)
 id 1lPuv6-0008Kn-Ae
 for bug-gnu-emacs@HIDDEN; Fri, 26 Mar 2021 18:27:08 -0400
Received: from userp2130.oracle.com ([156.151.31.86]:46526)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <drew.adams@HIDDEN>)
 id 1lPuv4-0006vf-D4
 for bug-gnu-emacs@HIDDEN; Fri, 26 Mar 2021 18:27:07 -0400
Received: from pps.filterd (userp2130.oracle.com [127.0.0.1])
 by userp2130.oracle.com (8.16.0.42/8.16.0.42) with SMTP id 12QMQjFr174578
 for <bug-gnu-emacs@HIDDEN>; Fri, 26 Mar 2021 22:27:03 GMT
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=oracle.com;
 h=from : to : subject :
 date : message-id : content-type : content-transfer-encoding :
 mime-version; s=corp-2020-01-29;
 bh=QFW2PjD+uXPhC4vhxSrY2mkqqqutfhtrsfkMmIvx0eE=;
 b=iMS1rRMN0xzkIM7jZRUjSmKnYVjU5JLScJC8pznbgQVhUzI/MzepezU5Tq5Nvw3y1y4d
 nH+p4kEh0Qkhrw23W9HsQvdpN7fHrotmSupfevzn37clNpNWJjxpMTal6aNhE7+ONuZ3
 p9N41N52xRdGdvHJ6HJqs7qIvbqRa97LBHLRKxlKUs2TVjORdgdQipLxqHbZQbKByV/U
 1XHsHSThgdhxOCubVIUHDV35RVYMhgfTzlGS7Z9CPSAhSl2pI7+Lke/C/eC8iYcs/5pU
 DzIRekydt3lb3YKnJq+lA9v9K4nl/3UeUR/Ggs5IkFWIn1oyceRfPWtWKU9nKy7xbaUd OQ== 
Received: from userp3030.oracle.com (userp3030.oracle.com [156.151.31.80])
 by userp2130.oracle.com with ESMTP id 37h13rugrr-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK)
 for <bug-gnu-emacs@HIDDEN>; Fri, 26 Mar 2021 22:27:03 +0000
Received: from pps.filterd (userp3030.oracle.com [127.0.0.1])
 by userp3030.oracle.com (8.16.0.42/8.16.0.42) with SMTP id 12QMLCap143263
 for <bug-gnu-emacs@HIDDEN>; Fri, 26 Mar 2021 22:27:02 GMT
Received: from nam11-co1-obe.outbound.protection.outlook.com
 (mail-co1nam11lp2172.outbound.protection.outlook.com [104.47.56.172])
 by userp3030.oracle.com with ESMTP id 37h13y841p-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK)
 for <bug-gnu-emacs@HIDDEN>; Fri, 26 Mar 2021 22:27:02 +0000
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=jZQcdv1pljPQ8NSuopbydNLVYSyagGp7mNN7hb3Q4EkgLLIzAuDW6MRMmmSn+JSpJ2rrfCe9Wm68Gug3gR840U+8B6bH36Hre1y/47jcj3y5qSD3nX/9qudQ1743xEhaepoO0nTd9Lf1Sc4zShXBD6z71pr7ilxfJkTsLWqIv+1xph/+yTExcuAFZ8g3Qoraj749yK3Zwzm9qYd6XKB+w+6oOUI2MQ8szYoOTYg6GY2ZbAcoTGWURrzWcjE9wxkrJ+d4XuQrtRLhHvnll1HwxqLK3j7r7gn42OFV6RncXtI/fz9evjYxzBr9HLAtsp6tJzMTQKbtxB3T2RsBYp3mjQ==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=QFW2PjD+uXPhC4vhxSrY2mkqqqutfhtrsfkMmIvx0eE=;
 b=fugVGADRadzXfpLUAuQRX+n4QYxy33xDLZwpVSALPnfFOfMuN3lygPLjjb9LzOmWlN2ogPkezOfuP40GMAr5uw/0m9+pTTFYW/0LJeG8CMdxyhxbIzFaq6Cc0T+LYG6cI/+lgygsFamBCH4Im5q1+CXkVylm2B39bMHejlPed6wLIHCYxn9yrF4fHzKu+SiZj/f8SHRbK6TpoPFC1Hfo+eU6IFOkWGJOUCo0Nrx/4TPNdjmwO17fFaOEbZQ/HQdLzD23mnYqdMRsEe5MG9i9uLJSoml5x4Tb4pI1NhTIKVoPVmFoU+T/zoDpzUf24n1M1Q5BT+YPHtt0l/RwNbMfTw==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=pass
 smtp.mailfrom=oracle.com; dmarc=pass action=none header.from=oracle.com;
 dkim=pass header.d=oracle.com; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=oracle.onmicrosoft.com; s=selector2-oracle-onmicrosoft-com;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=QFW2PjD+uXPhC4vhxSrY2mkqqqutfhtrsfkMmIvx0eE=;
 b=bV/1gsoT9ATNQZtG9+kmM/n+uoyvQCPuqiMYXBSJeVb/oLnkJu8OA+ieKLkULpbK+FtCw9txQ7SY3NqRpJYutDt0Y47a2FKAiJdpNbUmvT0Ydk+ABWVB6pm2EV0g1LCkq0Q6vpvKrWmtUMUhdaCCp0R9/q/i4xeDF5IRHY6zmak=
Received: from SA2PR10MB4474.namprd10.prod.outlook.com (2603:10b6:806:11b::15)
 by SN6PR10MB2784.namprd10.prod.outlook.com (2603:10b6:805:d7::20)
 with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.3955.18; Fri, 26 Mar
 2021 22:27:00 +0000
Received: from SA2PR10MB4474.namprd10.prod.outlook.com
 ([fe80::b8d2:db6d:3e4b:d315]) by SA2PR10MB4474.namprd10.prod.outlook.com
 ([fe80::b8d2:db6d:3e4b:d315%5]) with mapi id 15.20.3977.030; Fri, 26 Mar 2021
 22:27:00 +0000
From: Drew Adams <drew.adams@HIDDEN>
To: "bug-gnu-emacs@HIDDEN" <bug-gnu-emacs@HIDDEN>
Subject: 26.3; 1. Please define a built-in predicate `plistp', 2. wrong type
 wrong-type-argument error
Thread-Topic: 26.3; 1. Please define a built-in predicate `plistp', 2. wrong
 type wrong-type-argument error
Thread-Index: AdcijyJHrYJvnW6yT0OQXA4sPsn37Q==
Date: Fri, 26 Mar 2021 22:27:00 +0000
Message-ID: <SA2PR10MB4474CE73E3D5EE0A343DCEAEF3619@HIDDEN>
Accept-Language: en-US
Content-Language: en-US
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
authentication-results: gnu.org; dkim=none (message not signed)
 header.d=none;gnu.org; dmarc=none action=none header.from=oracle.com;
x-originating-ip: [73.170.83.28]
x-ms-publictraffictype: Email
x-ms-office365-filtering-correlation-id: 4004f77f-3515-4694-4ec7-08d8f0a6464b
x-ms-traffictypediagnostic: SN6PR10MB2784:
x-microsoft-antispam-prvs: <SN6PR10MB278463A1AB472B88F29466B2F3619@HIDDEN>
x-ms-oob-tlc-oobclassifiers: OLM:9508;
x-ms-exchange-senderadcheck: 1
x-microsoft-antispam: BCL:0;
x-microsoft-antispam-message-info: d1qEEBz1TfVT1CW+kPAmpGd65Fh/CwWQjuVi/cVPXFKvqjBonrjxKRfJu3K9gK78sv3962dhu/hq/DVVLpvPZhD0rkdq1hmb7+0xA2aBcUVmmTjmYTmaZLJXDsMBw65Y8Rlur5PldQmYRvDoOmaxLa2SVRORTS5F3RaRZ/qfGuRPRjrjXojkQNtA0Ikca87oec27sG2LfNFRSkopGuTakQ7ErGCKVq1pEIkrU67/kXYzdCkf0BBqyRrQjxNMsKRJEYLOCp0Ipo4gsFZXMvQVh/CT7KKvjlFumgWdQ0LgPqpZQCcpx7q65ZY7oOu30gsVopd/OqqlQPmdlfu48L1b0TOhjU2NhFb3++UmHVtZj9ZnwPgWjJm3mr483eNHUett7woMpOevw66z/Q0qREoBDq8sy7W2uB9OZaOMc2Bcc0bPAuCKW+uzTvf8SJdour8oQmwcgwn+8hFMEJWuPCVLExP6ee4s/jlMeFXMKhguJO/8ch6Rq3N8ZAuJORspVWaOG8rnrBn0/rRbSDwNXV2V4m2NunrBCGMELI9wPGDTeWByfUdbtIGehTa3uezVHiWsPQvGSj9/hsnMT+uBPEsobEF4YJ671ekMeAruCvQJBgWpm0/2kqVOY6okN9at5462CR42WPERa4w0L+fzJKx8f3ohGI2zbvFVtvHX8ygd616Oj+C6DLZko9+ZV7l+h2TR
x-forefront-antispam-report: CIP:255.255.255.255; CTRY:; LANG:en; SCL:1; SRV:;
 IPV:NLI; SFV:NSPM; H:SA2PR10MB4474.namprd10.prod.outlook.com; PTR:; CAT:NONE;
 SFS:(376002)(136003)(39860400002)(396003)(346002)(366004)(86362001)(7696005)(83380400001)(52536014)(2906002)(71200400001)(38100700001)(5660300002)(6506007)(316002)(8676002)(76116006)(44832011)(9686003)(6916009)(66556008)(66946007)(66446008)(66476007)(8936002)(64756008)(478600001)(33656002)(55016002)(186003)(45080400002)(26005)(81973001);
 DIR:OUT; SFP:1101; 
x-ms-exchange-antispam-messagedata: =?us-ascii?Q?K7S5mnYhCs5bg2JVd3BpgRyuYs+GZdtPMmMQB5JcObra/WjyypW7DrmLOZh4?=
 =?us-ascii?Q?R4TdhfjYZH5fac4dggTvr26M6ttJHlstPy2D9R6arMC7xbGgLEVn/1YZC5Et?=
 =?us-ascii?Q?XGgww5N1+nVxDeSZDJu4OGSBEE5VV7lnXfX2eJ9I+0Z9lWqjWQ4glM3xQuSa?=
 =?us-ascii?Q?aq+7honhy8QfN+LVOictEmj5QnxydCjsY6rGJg0KjRsb6tH+hL1g10f1BEr1?=
 =?us-ascii?Q?UmklFi7Bm/4CNaobnsoLmwJ9iThRqN1g+4V7DdBmY9+MQZO0RhmeIcoZYEsm?=
 =?us-ascii?Q?8AVQEMk0erk0gcCWD+jpW9VIGVgssqLUrEBZFeM5yhixAHQjbrItAhLGhMb+?=
 =?us-ascii?Q?z9uADvVLxi/D7DetSs/fZ9TT8iED/Ti5LQY2Sfpn9XDxdW+Rt6g2LX1BEnih?=
 =?us-ascii?Q?JX3JJ/QFYCFX5LD9d8U8WZztRm9EFTWsZhBK1a0UhdKHjbNNWKGNUtEBA/xY?=
 =?us-ascii?Q?BdWas2vT17aiKNIccnXsgp2/BtOkSCo22XeHX8xJIgqco3sXU2sYUC3AY+BK?=
 =?us-ascii?Q?eDHlxzuNJz3qAQVdjcO1iemnWr3CQhdQUMeqEVLpYYaU+d8+qHLye7uIKTrp?=
 =?us-ascii?Q?EdtMh1QMbQhBiTSU3/udzZh9BubI2guWQQ4BcGJJ7QmBnsyOcxh9yyBk0JkK?=
 =?us-ascii?Q?tlA8yvb3qLi0ieDAObgabxOfApHS6wGuNu1umnpVOnEG6ybwjxLMCG8TVVGA?=
 =?us-ascii?Q?Hy6ZQh5MTCSl7au4k0BIRZiI8UHYVTS8PEcBtHW3dk2ssOhczHz0dsqjGx/2?=
 =?us-ascii?Q?uhdsDnNk/uXAALWq4oq1cM8Q0ZhdyBo4mEBrMv+Ovc8RT+44xZH81/Uw+xxL?=
 =?us-ascii?Q?56QkbGoVKfyoCApfstj5xErb18KbmaQGl3BUCv4KgqC7AFpaqKcPeJ0LVhlv?=
 =?us-ascii?Q?s7JE/L6fuQFznQ46S8wDHNmKL9u+WX87dX/oQcjSaQ7vaYUq6g7Q3pLcju2i?=
 =?us-ascii?Q?SNqLrTPF6BB2w22BGv6YXwdsumYIS91bhorMWTPGxT9ORQROjXJ1EPQ4scjf?=
 =?us-ascii?Q?qWeqg/3nHK9Cce6j8nOBYfGhONrbekjlDSyMBINxEBoj7np5hZyoWvsxijj9?=
 =?us-ascii?Q?sviR2/5istvxNgGGHBickQoxQPMHs47ZP/k/SZCuhCMFOieRCLlXKFRJWH+c?=
 =?us-ascii?Q?mmYAqTSpm4hn5rzAn7Oj4injktj3Yge+Whe2dhAIcWC1wwEUgvxmB757zOHA?=
 =?us-ascii?Q?usvA2WC6A+iMVwC+oqysQDEJPAff6BhjjsaKiC1oKYR4p6t0Q2Cw77XW0ooG?=
 =?us-ascii?Q?VVJPrP5jU2VnLitUmeH2d+DGSW5MDsy0iS/CIpWqxoh8L/orJfqoZNMWd8JX?=
 =?us-ascii?Q?fKfOD/f1NiM0DtYE5Ji5WaPY?=
x-ms-exchange-transport-forked: True
Content-Type: text/plain; charset="us-ascii"
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-OriginatorOrg: oracle.com
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-AuthSource: SA2PR10MB4474.namprd10.prod.outlook.com
X-MS-Exchange-CrossTenant-Network-Message-Id: 4004f77f-3515-4694-4ec7-08d8f0a6464b
X-MS-Exchange-CrossTenant-originalarrivaltime: 26 Mar 2021 22:27:00.7274 (UTC)
X-MS-Exchange-CrossTenant-fromentityheader: Hosted
X-MS-Exchange-CrossTenant-id: 4e2c6054-71cb-48f1-bd6c-3a9705aca71b
X-MS-Exchange-CrossTenant-mailboxtype: HOSTED
X-MS-Exchange-CrossTenant-userprincipalname: nSUrC/MP3QCry06Ql2uAKLzJKK75nISFCe0i36yPkmynz6MaIUjqTFYiGNIjh2DN3S+vvWjVe4DZRDjk33IlXQ==
X-MS-Exchange-Transport-CrossTenantHeadersStamped: SN6PR10MB2784
X-Proofpoint-Virus-Version: vendor=nai engine=6200 definitions=9935
 signatures=668683
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 malwarescore=0
 mlxscore=0 bulkscore=0
 spamscore=0 mlxlogscore=535 suspectscore=0 adultscore=0 phishscore=0
 classifier=spam adjust=0 reason=mlx scancount=1 engine=8.12.0-2103250000
 definitions=main-2103260165
X-Proofpoint-ORIG-GUID: op6HwkeH89FC62BwcmhOozMe4nS-60GV
X-Proofpoint-GUID: op6HwkeH89FC62BwcmhOozMe4nS-60GV
X-Proofpoint-Virus-Version: vendor=nai engine=6200 definitions=9935
 signatures=668683
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0
 lowpriorityscore=0 malwarescore=0
 suspectscore=0 adultscore=0 phishscore=0 mlxscore=0 mlxlogscore=842
 impostorscore=0 priorityscore=1501 clxscore=1015 spamscore=0 bulkscore=0
 classifier=spam adjust=0 reason=mlx scancount=1 engine=8.12.0-2103250000
 definitions=main-2103260165
Received-SPF: pass client-ip=156.151.31.86; envelope-from=drew.adams@HIDDEN;
 helo=userp2130.oracle.com
X-Spam_score_int: -43
X-Spam_score: -4.4
X-Spam_bar: ----
X-Spam_report: (-4.4 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 RCVD_IN_DNSWL_MED=-2.3, SPF_HELO_PASS=-0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

 (plist-put (list 'a 'b 'c) "a" 42)

Debugger entered--Lisp error: (wrong-type-argument plistp (a b c))
  plist-put((a b c) "abc" 42)
  eval((plist-put (list (quote a) (quote b) (quote c)) "abc" 42))

That's all fine and dandy, except that there is no predicate `plistp'.

See (elisp) Type Predicates:

  All built-in functions do check the types of their actual arguments
  when appropriate, and signal a 'wrong-type-argument' error if an
  argument is of the wrong type.

It makes no sense to refer to `plistp' in the error message if it
doesn't exist.  If it won't exist then the error message should say that
the arg isn't a plist - not mention `plistp'.  Even just saying "plist"
in the error message would be an improvement in this regard.  But the
right fix is to define a `plistp' primitive.

Not only that, but the error is _not_, apparently that the first
arg isn't a proper plist.  For example, this raises no error:

 (plist-put (list 'a 'b 'c) "a" 42)

And it returns the list (a 42 c).  Clearly the error was raised
not because of an improper plist but because the key to look up
is a string and the keys in the almost-plist are symbols.

In GNU Emacs 26.3 (build 1, x86_64-w64-mingw32)
 of 2019-08-29
Repository revision: 96dd0196c28bc36779584e47fffcca433c9309cd
Windowing system distributor `Microsoft Corp.', version 10.0.19041
Configured using:
 `configure --without-dbus --host=3Dx86_64-w64-mingw32
 --without-compress-install 'CFLAGS=3D-O2 -static -g3''





Acknowledgement sent to Drew Adams <drew.adams@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#47427; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 27 Jun 2022 10:45:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.